com.holonplatform.vaadin7.components.builders

## Interface SingleComponentContainerBuilder<C extends com.vaadin.ui.SingleComponentContainer,B extends SingleComponentContainerBuilder<C,B>>

- Type Parameters:
    `C` - Component container type
    `B` - Concrete builder type
  All Superinterfaces:
    ComponentBuilder<C,B>, ComponentConfigurator<B>
  All Known Subinterfaces:
    PanelBuilder

      public interface SingleComponentContainerBuilder<C extends com.vaadin.ui.SingleComponentContainer,B extends SingleComponentContainerBuilder<C,B>>
      extends ComponentBuilder<C,B>

  Builder for `SingleComponentContainer` components type creation.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `content(com.vaadin.ui.Component content)` Sets the content of this container.
    `B` | `withComponentAttachListener(com.vaadin.ui.HasComponents.ComponentAttachListener listener)` Add a listener to be notified when a component is attached to container
    `B` | `withComponentDetachListener(com.vaadin.ui.HasComponents.ComponentDetachListener listener)` Add a listener to be notified when a component is detached from container

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### content

          B content(com.vaadin.ui.Component content)

      Sets the content of this container. The content should always be set, either as a constructor parameter or by calling this method.
      Parameters:
        `content` - The component to use as content
      Returns:
        this

    - #### withComponentAttachListener

          B withComponentAttachListener(com.vaadin.ui.HasComponents.ComponentAttachListener listener)

      Add a listener to be notified when a component is attached to container
      Parameters:
        `listener` - Listener to add
      Returns:
        this

    - #### withComponentDetachListener

          B withComponentDetachListener(com.vaadin.ui.HasComponents.ComponentDetachListener listener)

      Add a listener to be notified when a component is detached from container
      Parameters:
        `listener` - Listener to add
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.